Subject: Re: [art] Fwd: New Version Notification for draft-nottingham-how-did-that-get-into-the-repo-00.txt
From: "Manger, James" <[email-masked]>
To: Mark Nottingham <[email-masked]>, "Applications and Real-Time Area Discussion" <[email-masked]>
Date: Thu, 16 Aug 2018 07:27:27 +0000
List-Id: Applications and Real-Time Area Discussion <art.ietf.org>

Your ABNF says a secret-token-URI can only use a 66-char alphabet, then text says other chars are allows as %-encodings. Shouldn't the ABNF explicitly show it allows %xx, or (better still) only allow the 66-char alphabet (so the example needs to change).

The scheme part of URIs is case-insensitive so I'm not sure you can say the URI string is matched "character-for-character, case-sensitive". An example that looks like hex, but supposed to be case-sensitive is not ideal.

--
James Manger

From: art [mailto:[email-masked]] On Behalf Of Mark Nottingham
Sent: Thursday, 16 August 2018 3:29 PM
To: Applications and Real-Time Area Discussion <[email-masked]>
Subject: [art] Fwd: New Version Notification for draft-nottingham-how-did-that-get-into-the-repo-00.txt

FYI, an idea to help prevent accidental disclosure of authentication tokens. Thoughts? I've circulated it some had had a generally positive response.

Prettier copy at:
  https://mnot.github.io/I-D/how-did-that-get-into-the-repo/

Cheers,

Begin forwarded message:

From: [email-masked]<mailto:[email-masked]>
Subject: New Version Notification for draft-nottingham-how-did-that-get-into-the-repo-00.txt
Date: 16 August 2018 at 3:27:14 pm AEST
To: "Mark Nottingham" <[email-masked]<mailto:[email-masked]>>

A new version of I-D, draft-nottingham-how-did-that-get-into-the-repo-00.txt
has been successfully submitted by Mark Nottingham and posted to the
IETF repository.

Name:             draft-nottingham-how-did-that-get-into-the-repo
Revision:        00
Title:               The secret-token URI Scheme
Document date:          2018-08-16
Group:             Individual Submission
Pages:             5
URL:            https://www.ietf.org/internet-drafts/draft-nottingham-how-did-that-get-into-the-repo-00.txt
Status:         https://datatracker.ietf.org/doc/draft-nottingham-how-did-that-get-into-the-repo/
Htmlized:       https://tools.ietf.org/html/draft-nottingham-how-did-that-get-into-the-repo-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-nottingham-how-did-that-get-into-the-repo

Abstract:
  This document registers the "secret-token" URI scheme, to aid in the
  identification of authentication tokens.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat

--
Mark Nottingham   https://www.mnot.net/